Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class PartyIdentification8

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.PartyIdentification8

    public class PartyIdentification8
    extends java.lang.Object

Java class for PartyIdentification8 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentification8">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max70Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PostalAddress1" minOccurs="0"/>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Party2Choice" minOccurs="0"/>
             <element name="CtryOfRes" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CountryCode" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ctryOfRes`
`protected Party2Choice` `id`
`protected java.lang.String` `nm`
`protected PostalAddress1` `pstlAdr`

### Constructor Summary

Constructors
`PartyIdentification8()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCtryOfRes()` Gets the value of the ctryOfRes property.
`Party2Choice` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`PostalAddress1` `getPstlAdr()` Gets the value of the pstlAdr property.
`void` `setCtryOfRes​(java.lang.String value)` Sets the value of the ctryOfRes property.
`void` `setId​(Party2Choice value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setPstlAdr​(PostalAddress1 value)` Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nm

    protected java.lang.String nm

#### pstlAdr

    protected PostalAddress1 pstlAdr

#### id

    protected Party2Choice id

#### ctryOfRes

    protected java.lang.String ctryOfRes

### Constructor Detail

#### PartyIdentification8

    public PartyIdentification8()

### Method Detail

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getPstlAdr

    public PostalAddress1 getPstlAdr()

Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress1`

#### setPstlAdr

    public void setPstlAdr​(PostalAddress1 value)

Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress1`

#### getId

    public Party2Choice getId()

Gets the value of the id property.

Returns:
  possible object is `Party2Choice`

#### setId

    public void setId​(Party2Choice value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `Party2Choice`

#### getCtryOfRes

    public java.lang.String getCtryOfRes()

Gets the value of the ctryOfRes property.

Returns:
  possible object is `String`

#### setCtryOfRes

    public void setCtryOfRes​(java.lang.String value)

Sets the value of the ctryOfRes property.

Parameters:
  `value` - allowed object is `String`